%define name		syncbackup
%define version		1.1.4
%define release		%mkrel 1

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		Front-end for rsync
URL:			http://www.darhon.com/syncbackup
Group:			Archiving/Backup
License:		GPL v3
Source:			%{name}-%{version}.tar.xz
BuildRequires: 		%{_lib}qt4-devel
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}

%description
Front-end for rsync provides a fast and extraordinarily copying tool. It offers the most 
common options that control its behavior and permit very flexible specification of the set of 
files to be copied.

Rsync is widely used for backups and mirroring and as an improved copy command for 
everyday use and syncBackup put on your hands its power with a simple user interface.

%prep
%setup -q

%build
mkdir build && cd build
qmake ..
%make

%install
%__rm -rf %buildroot
mkdir -p ${RPM_BUILD_ROOT}%{_bindir}
cp build/syncbackup ${RPM_BUILD_ROOT}%{_bindir}/%{name}

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/applications
cp qtc_packaging/debian_desktop/%{name}.desktop ${RPM_BUILD_ROOT}%{_datadir}/applications/

mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
cp qtc_packaging/debian_desktop/%{name}.xpm ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/

mkdir  -p ${RPM_BUILD_ROOT}%{_iconsdir}/hicolor/16x16/apps
mkdir  -p ${RPM_BUILD_ROOT}%{_iconsdir}/hicolor/24x24/apps
mkdir  -p ${RPM_BUILD_ROOT}%{_iconsdir}/hicolor/32x32/apps
mkdir  -p ${RPM_BUILD_ROOT}%{_iconsdir}/hicolor/48x48/apps
mkdir  -p ${RPM_BUILD_ROOT}%{_iconsdir}/hicolor/64x64/apps

cp qtc_packaging/debian_desktop/16x16/syncbackup.png ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/16x16/apps/
cp qtc_packaging/debian_desktop/24x24/syncbackup.png ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/24x24/apps/
cp qtc_packaging/debian_desktop/32x32/syncbackup.png ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/32x32/apps/
cp qtc_packaging/debian_desktop/48x48/syncbackup.png ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/48x48/apps/
cp qtc_packaging/debian_desktop/64x64/syncbackup.png ${RPM_BUILD_ROOT}%{_datadir}/icons/hicolor/64x64/apps/

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Archiving-Backup" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/ $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%changelog
* Sat May 18 2013 Texstar <texstar at gmail.com> 1.1.4-1pclos2013
- 1.1.4
- fix rpm group

* Wed Sep 19 2012 Neal <nealbrks0 at gmail dot com> 1.1.3-1pclos2012
- process

* Mon Sep 17 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.1.3-1_archie_2012
- update

* Sat Aug 11 2012 Neal <nealbrks0 at gmail dot com> 1.1.2-1pclos2012
- process

* Sat Aug 11 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.1.2-1_archie_2012
- update

* Sat Jun 09 2012 Neal <nealbrks0 at gmail dot com> 1.1.1-1pclos2012
- process

* Fri Jun 08 2012 Archie Arevalo <pclinuxos.ph at gmail.com> 1.1.1-1_archie_2012
- Create package
